Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.dom
Class TextOverNodeInfo

    java.lang.Object
      net.sf.saxon.dom.NodeOverNodeInfo
          net.sf.saxon.dom.TextOverNodeInfo

All Implemented Interfaces:
  org.w3c.dom.CharacterData, org.w3c.dom.Comment, org.w3c.dom.Node, org.w3c.dom.Text

public class TextOverNodeInfo
extends NodeOverNodeInfo
implements org.w3c.dom.Text, org.w3c.dom.Comment

This class is an implementation of the DOM Text and Comment interfaces that wraps a Saxon NodeInfo representation of a text or comment node.

Field Summary

Fields inherited from class net.sf.saxon.dom.NodeOverNodeInfo
`node`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Constructor Summary
`TextOverNodeInfo()`

Method Summary
`void` | `appendData(java.lang.String arg)` Append the string to the end of the character data of the node.
`void` | `deleteData(int offset, int count)` Remove a range of 16-bit units from the node.
`java.lang.String` | `getData()` Get the character data of a Text or Comment node.
`int` | `getLength()` Get the length of a Text or Comment node.
`java.lang.String` | `getWholeText()` Returns all text of `Text` nodes logically-adjacent text nodes to this node, concatenated in document order.
`void` | `insertData(int offset, java.lang.String arg)` Insert a string at the specified character offset.
`boolean` | `isElementContentWhitespace()` Returns whether this text node contains element content whitespace, often abusively called "ignorable whitespace".
`void` | `replaceData(int offset, int count, java.lang.String arg)` Replace the characters starting at the specified 16-bit unit offset with the specified string.
`org.w3c.dom.Text` | `replaceWholeText(java.lang.String content)` Replaces the text of the current node and all logically-adjacent text nodes with the specified text.
`void` | `setData(java.lang.String data)` Set the character data of a Text or Comment node.
`org.w3c.dom.Text` | `splitText(int offset)` Break this node into two nodes at the specified offset, keeping both in the tree as siblings.
`java.lang.String` | `substringData(int offset, int count)` Extract a range of data from a Text or Comment node.

Methods inherited from class net.sf.saxon.dom.NodeOverNodeInfo
`appendChild, cloneNode, compareDocumentPosition, disallowUpdate, getAttributes, getBaseURI, getChildNodes, getDocumentElement, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUnderlyingNodeInfo, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isId, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUnderlyingNodeInfo, setUserData, supports, wrap`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, insertBefore, isSupported, normalize, removeChild, replaceChild, setNodeValue, setPrefix`

Constructor Detail

### TextOverNodeInfo

    public TextOverNodeInfo()

Method Detail

### getData

    public java.lang.String getData()

  Get the character data of a Text or Comment node. DOM method.

  Specified by:
    `getData` in interface `org.w3c.dom.CharacterData`

### setData

    public void setData(java.lang.String data)
                 throws org.w3c.dom.DOMException

  Set the character data of a Text or Comment node. DOM method: always fails, Saxon tree is immutable.

  Specified by:
    `setData` in interface `org.w3c.dom.CharacterData`
  Throws:
    `org.w3c.dom.DOMException`

### getLength

    public int getLength()

  Get the length of a Text or Comment node. DOM method.

  Specified by:
    `getLength` in interface `org.w3c.dom.CharacterData`

### substringData

    public java.lang.String substringData(int offset,
                                          int count)
                                   throws org.w3c.dom.DOMException

  Extract a range of data from a Text or Comment node. DOM method.

  Specified by:
    `substringData` in interface `org.w3c.dom.CharacterData`
  Parameters:
    `offset` - Start offset of substring to extract.
    `count` - The number of 16-bit units to extract.
  Returns:
    The specified substring. If the sum of `offset` and `count` exceeds the `length` , then all 16-bit units to the end of the data are returned.
  Throws:
    `org.w3c.dom.DOMException` - INDEX_SIZE_ERR: Raised if the specified `offset` is negative or greater than the number of 16-bit units in `data` , or if the specified `count` is negative.

### appendData

    public void appendData(java.lang.String arg)
                    throws org.w3c.dom.DOMException

  Append the string to the end of the character data of the node. DOM method: always fails.

  Specified by:
    `appendData` in interface `org.w3c.dom.CharacterData`
  Parameters:
    `arg` - The `DOMString` to append.
  Throws:
    `org.w3c.dom.DOMException` - NO_MODIFICATION_ALLOWED_ERR: Raised if this node is readonly.

### insertData

    public void insertData(int offset,
                           java.lang.String arg)
                    throws org.w3c.dom.DOMException

  Insert a string at the specified character offset. DOM method: always fails.

  Specified by:
    `insertData` in interface `org.w3c.dom.CharacterData`
  Parameters:
    `offset` - The character offset at which to insert.
    `arg` - The `DOMString` to insert.
  Throws:
    `org.w3c.dom.DOMException`

### deleteData

    public void deleteData(int offset,
                           int count)
                    throws org.w3c.dom.DOMException

  Remove a range of 16-bit units from the node. DOM method: always fails.

  Specified by:
    `deleteData` in interface `org.w3c.dom.CharacterData`
  Parameters:
    `offset` - The offset from which to start removing.
    `count` - The number of 16-bit units to delete.
  Throws:
    `org.w3c.dom.DOMException`

### replaceData

    public void replaceData(int offset,
                            int count,
                            java.lang.String arg)
                     throws org.w3c.dom.DOMException

  Replace the characters starting at the specified 16-bit unit offset with the specified string. DOM method: always fails.

  Specified by:
    `replaceData` in interface `org.w3c.dom.CharacterData`
  Parameters:
    `offset` - The offset from which to start replacing.
    `count` - The number of 16-bit units to replace.
    `arg` - The `DOMString` with which the range must be replaced.
  Throws:
    `org.w3c.dom.DOMException` - NO_MODIFICATION_ALLOWED_ERR: Raised if this node is readonly.

### splitText

    public org.w3c.dom.Text splitText(int offset)
                               throws org.w3c.dom.DOMException

  Break this node into two nodes at the specified offset, keeping both in the tree as siblings. DOM method, always fails.

  Specified by:
    `splitText` in interface `org.w3c.dom.Text`
  Parameters:
    `offset` - The 16-bit unit offset at which to split, starting from 0.
  Returns:
    The new node, of the same type as this node.
  Throws:
    `org.w3c.dom.DOMException`

### replaceWholeText

    public org.w3c.dom.Text replaceWholeText(java.lang.String content)
                                      throws org.w3c.dom.DOMException

  Replaces the text of the current node and all logically-adjacent text nodes with the specified text. All logically-adjacent text nodes are removed including the current node unless it was the recipient of the replacement text.
  This method returns the node which received the replacement text. The returned node is:
  - `null`, when the replacement text is the empty string;
  - the current node, except when the current node is read-only;
  - a new `Text` node of the same type ( `Text` or `CDATASection`) as the current node inserted at the location of the replacement.
  For instance, in the above example calling `replaceWholeText` on the `Text` node that contains "bar" with "yo" in argument results in the following:
  Where the nodes to be removed are read-only descendants of an `EntityReference`, the `EntityReference` must be removed instead of the read-only nodes. If any `EntityReference` to be removed has descendants that are not `EntityReference`, `Text`, or `CDATASection` nodes, the `replaceWholeText` method must fail before performing any modification of the document, raising a `DOMException` with the code `NO_MODIFICATION_ALLOWED_ERR`.
  For instance, in the example below calling `replaceWholeText` on the `Text` node that contains "bar" fails, because the `EntityReference` node "ent" contains an `Element` node which cannot be removed.

  Parameters:
    `content` - The content of the replacing `Text` node.
  Returns:
    The `Text` node created with the specified content.
  Throws:
    `org.w3c.dom.DOMException` - NO_MODIFICATION_ALLOWED_ERR: Raised if one of the `Text` nodes being replaced is readonly.
  Since:
    DOM Level 3

### isElementContentWhitespace

    public boolean isElementContentWhitespace()

  Returns whether this text node contains element content whitespace, often abusively called "ignorable whitespace". The text node is determined to contain whitespace in element content during the load of the document or if validation occurs while using `Document.normalizeDocument()`.

  Since:
    DOM Level 3

### getWholeText

    public java.lang.String getWholeText()

  Returns all text of `Text` nodes logically-adjacent text nodes to this node, concatenated in document order.
  For instance, in the example below `wholeText` on the `Text` node that contains "bar" returns "barfoo", while on the `Text` node that contains "foo" it returns "barfoo".

  Since:
    DOM Level 3

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD